# Uses of Class it.tdlight.jni.TdApi.EmojiStatus (TDLight API 4.0.458 API)
use: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: EmojiStatus

# Uses of Class
it.tdlight.jni.TdApi.EmojiStatus

## Uses of TdApi.EmojiStatus in it.tdlight.jni

Fields in it.tdlight.jni declared as TdApi.EmojiStatus
Modifier and Type
Field
Description
`TdApi.EmojiStatus`
TdApi.SetEmojiStatus.`emojiStatus`
New emoji status; pass null to switch to the default badge.
`TdApi.EmojiStatus`
TdApi.User.`emojiStatus`
Emoji status to be shown instead of the default Telegram Premium badge; may be null.
Constructors in it.tdlight.jni with parameters of type TdApi.EmojiStatus
Modifier
Constructor
Description
``
`SetEmojiStatus(TdApi.EmojiStatus emojiStatus)`
Changes the emoji status of the current user; for Telegram Premium users only.
``
`User(long id, String firstName, String lastName, TdApi.Usernames usernames, String phoneNumber, TdApi.UserStatus status, TdApi.ProfilePhoto profilePhoto, TdApi.EmojiStatus emojiStatus, boolean isContact, boolean isMutualContact, boolean isCloseFriend, boolean isVerified, boolean isPremium, boolean isSupport, String restrictionReason, boolean isScam, boolean isFake, boolean hasActiveStories, boolean hasUnreadActiveStories, boolean haveAccess, TdApi.UserType type, String languageCode, boolean addedToAttachmentMenu)`
Represents a user.